%bcond_without	luajit		# use lua interpreter

%ifnarch %{ix86} %{x8664} %{arm} aarch64 mips mips64 mipsel ppc
%undefine	with_luajit
%endif

Summary:	WebKitGTK+ based browser
Summary(hu.UTF-8):	WebKitGTK+ alapú böngésző
Summary(pl.UTF-8):	Przeglądarka oparta na WebKitGTK+
Name:		luakit
Version:	2.3.6
Release:	1
Epoch:		1
License:	GPL v3
Group:		Applications
Source0:	https://github.com/luakit/luakit/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	f9e623c23ce560fdfd14d9ccb9ef71e6
Patch0:		%{name}-shebang.patch
URL:		http://luakit.org/
BuildRequires:	glib2-devel
BuildRequires:	gtk+3-devel
BuildRequires:	gtk-webkit4.1-devel
%if %{with luajit}
BuildRequires:	luajit
BuildRequires:	luajit-devel
%else
BuildRequires:	lua51
BuildRequires:	lua51-devel
%endif
BuildRequires:	lua51-filesystem
BuildRequires:	pkgconfig
BuildRequires:	sqlite3-devel
Requires(post,postun):	desktop-file-utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
luakit is a highly configurable, micro-browser framework based on the
WebKit web content engine and the GTK+ toolkit. It is very fast,
extensible by Lua.

%description -l hu.UTF-8
luakit egy magas szinten konfigurálható, micro-böngésző keretrendszer
WebKit motorral és GTK+ grafikus felületettel. Nagyon gyors, és Lua
nyelven bővíthető.

%description -l pl.UTF-8
luakit jest wysoko konfigurowalnym frameworkiem mikro-przeglądarki
opartym na silniku webowym WebKit oraz GTK+. Jest szybki i
rozszeezalny przez Lua.

%prep
%setup -q

%build
export CFLAGS="%{rpmcflags}"
export LDFLAGS="%{rpmldflags}"
%{__make} \
	CC="%{__cc}" \
	PREFIX=%{_prefix} \
	LIBDIR=%{_libdir}/luakit \
	MANPREFIX=%{_mandir} \
	PIXMAPDIR=%{_pixmapsdir} \
	APPDIR=%{_desktopdir} \
	%{?with_luajit:USE_LUAJIT=1 LUA_BIN_NAME="/usr/bin/luajit -O2"} \
	%{!?with_luajit:USE_LUAJIT=0 LUA_BIN_NAME="/usr/bin/lua5.1"}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_libdir}/luakit

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix} \
	LIBDIR=%{_libdir}/luakit \
	MANPREFIX=%{_mandir} \
	PIXMAPDIR=%{_pixmapsdir} \
	APPDIR=%{_desktopdir} \
	%{?with_luajit:USE_LUAJIT=1 LUA_BIN_NAME="/usr/bin/luajit -O2"} \
	%{!?with_luajit:USE_LUAJIT=0 LUA_BIN_NAME="/usr/bin/lua5.1"}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post

%postun
%update_desktop_database_postun

%files
%defattr(644,root,root,755)
%doc AUTHORS README.md

%dir %{_sysconfdir}/xdg/luakit
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/luakit/*.lua
%attr(755,root,root) %{_bindir}/luakit
%dir %{_libdir}/luakit
%attr(755,root,root) %{_libdir}/luakit/luakit.so
%{_datadir}/luakit
%{_pixmapsdir}/luakit.png
%{_pixmapsdir}/luakit.svg
%{_mandir}/man1/luakit.1*
%{_desktopdir}/luakit.desktop
%changelog
* Tue Jan 30 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/luakit.git;a=log;h=master

* Tue Jan 30 2024 Jan Palus <atler@pld-linux.org> 76f51e0
- up to 2.3.6

* Wed Jan 24 2024 Jan Palus <atler@pld-linux.org> 4b25140
- up to 2.3.4

* Sat Aug 19 2023 Jan Palus <atler@pld-linux.org> dc2481e
- up to 2.3.3

* Sat Aug 19 2023 Jan Palus <atler@pld-linux.org> 307b5d3
- update desktop database

* Wed May 11 2022 Jan Palus <atler@pld-linux.org> 6cde3b5
- pass lua vars during install

* Wed May 11 2022 Jan Palus <atler@pld-linux.org> 64d44f4
- up to 2.3

* Wed Aug 29 2012 Jan Rękorajski <baggins@pld-linux.org> 633699b
- Updated to 2012.03.25

* Wed Aug 29 2012 Jan Rękorajski <baggins@pld-linux.org> fefa06a
- release 2 (by relup.sh)

* Mon Sep 12 2011 Krzysztof Krakowiak <evil@pld-linux.org> 3dbe934
- up to 2011.07.22
- added BR: libunique-devel

* Sat May 28 2011 Krzysztof Krakowiak <evil@pld-linux.org> 12abbc6
- up to 2011.05.06

* Tue Apr 19 2011 lisu <lisu@pld-linux.org> f916259
- obsoleted

* Tue Apr 19 2011 lisu <lisu@pld-linux.org> ab6dfc2
- add "drop obsoleted -make.patch" comment to previous commit log

* Tue Apr 19 2011 lisu <lisu@pld-linux.org> 7f49f6e
- updated to 2011.04.13
- pl desc and summary
- drop obsoleted -make.patch

* Thu Jan 27 2011 sparky <sparky@pld-linux.org> 8bdbe2f
- BR: pkgconfig

* Wed Jan 12 2011 lisu <lisu@pld-linux.org> ee94a37
- up to 2010.12.25
- use __rm macro

* Mon Oct 18 2010 Elan Ruusamäe <glen@pld-linux.org> b5696a6
- simplify git checkout

* Sat Oct 16 2010 pawelz <pawelz@pld-linux.org> 794a5d5
- fixed conditional patching

* Sat Oct 16 2010 pawelz <pawelz@pld-linux.org> 6299949
- %bcond_with git: ugly hack to build the newest git version

* Fri Sep 24 2010 pawelz <pawelz@pld-linux.org> f3b8d5b
- dropped BR: gperf
- BR: lua51 (it is used directly in build-process)
- up to 2010.09.24

* Fri Sep 24 2010 pawelz <pawelz@pld-linux.org> ef3c76b
- s#/usr/bin/env lua#/usr/bin/lua51#

